From 8d16233e076dc5da8032cc9b2dab0129c21ff96a Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Felix=20Paul=20K=C3=BChne?= <fkuehne@videolan.org>
Date: Fri, 8 Jun 2012 10:30:08 +0200
Subject: [PATCH] contrib: fixed libvpx compilation with Xcode 4.3 and later

---
 contrib/src/vpx/libvpx-xcode43.patch |   13 +++++++++++++
 contrib/src/vpx/rules.mak            |    9 +++++++++
 2 files changed, 22 insertions(+), 0 deletions(-)
 create mode 100644 contrib/src/vpx/libvpx-xcode43.patch

diff --git a/contrib/src/vpx/libvpx-xcode43.patch b/contrib/src/vpx/libvpx-xcode43.patch
new file mode 100644
index 0000000..9ab6f87
--- /dev/null
+++ b/contrib/src/vpx/libvpx-xcode43.patch
@@ -0,0 +1,13 @@
+diff -ru libvpx/build/make/configure.sh libvpx/build/make/configure.sh
+--- libvpx/build/make/configure.sh	2012-06-08 10:26:47.000000000 +0200
++++ libvpx-fixed/build/make/configure.sh	2012-06-08 10:26:07.000000000 +0200
+@@ -628,6 +628,9 @@
+     if [ -d "/Developer/SDKs/MacOSX10.7.sdk" ]; then
+         osx_sdk_dir="/Developer/SDKs/MacOSX10.7.sdk"
+     fi
++    if [ -d "${sdk_path}" ]; then
++        osx_sdk_dir=${sdk_path}
++    fi
+ 
+     case ${toolchain} in
+         *-darwin8-*)
diff --git a/contrib/src/vpx/rules.mak b/contrib/src/vpx/rules.mak
index 64f7bbe..133b232 100644
--- a/contrib/src/vpx/rules.mak
+++ b/contrib/src/vpx/rules.mak
@@ -18,6 +18,9 @@ libvpx: libvpx-$(VPX_VERSION).tar.bz2 .sum-vpx
 	$(UNPACK)
 	$(APPLY) $(SRC)/vpx/libvpx-no-cross.patch
 	$(APPLY) $(SRC)/vpx/libvpx-no-abi.patch
+ifdef HAVE_MACOSX
+	$(APPLY) $(SRC)/vpx/libvpx-xcode43.patch
+endif
 	$(PATCH_BASH_LOCATION)
 	$(MOVE)
 
@@ -85,6 +88,12 @@ VPX_CONF := \
 ifndef HAVE_WIN32
 VPX_CONF += --enable-pic
 endif
+ifdef HAVE_MACOSX
+VPX_CONF += --sdk-path=$(MACOSX_SDK)
+endif
+ifdef HAVE_IOS
+VPX_CONF += --sdk-path=$(SDKROOT)
+endif
 
 .vpx: libvpx
 	cd $< && CROSS=$(VPX_CROSS) ./configure --target=$(VPX_TARGET) \
-- 
1.7.7.5 (Apple Git-26)

